Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface DOMASBuilder

All Superinterfaces:
  org.w3c.dom.ls.DOMBuilder

public interface DOMASBuilder
extends org.w3c.dom.ls.DOMBuilder

An Abstract Schema parser interface.

`DOMASBuilder` provides an API for parsing Abstract Schemas and building the corresponding `ASModel` tree.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

Fields inherited from interface org.w3c.dom.ls.DOMBuilder
`ACTION_APPEND_AS_CHILDREN, ACTION_INSERT_AFTER, ACTION_INSERT_BEFORE, ACTION_REPLACE`

Method Summary
`ASModel` | `getAbstractSchema()` Associate an `ASModel` with a `DOMBuilder`.
`ASModel` | `parseASInputSource(org.w3c.dom.ls.DOMInputSource is)` Parse a Abstract Schema from a location identified by an `DOMInputSource`.
`ASModel` | `parseASURI(java.lang.String uri)` Parse a Abstract Schema from a location identified by an URI reference.
`void` | `setAbstractSchema(ASModel abstractSchema)` Associate an `ASModel` with a `DOMBuilder`.

Methods inherited from interface org.w3c.dom.ls.DOMBuilder
`getConfig, getFilter, parse, parseURI, parseWithContext, setFilter`

Method Detail

### getAbstractSchema

    public ASModel getAbstractSchema()

  Associate an `ASModel` with a `DOMBuilder`. This `ASModel` will be used by the " `validate-if-schema`" and " `datatype-normalization`" options during the load of a new `Document`.

### setAbstractSchema

    public void setAbstractSchema(ASModel abstractSchema)

  Associate an `ASModel` with a `DOMBuilder`. This `ASModel` will be used by the " `validate-if-schema`" and " `datatype-normalization`" options during the load of a new `Document`.

### parseASURI

    public ASModel parseASURI(java.lang.String uri)
                       throws DOMASException,
                              java.lang.Exception

  Parse a Abstract Schema from a location identified by an URI reference.
  Parameters:
    `uri` - The location of the Abstract Schema to be read.
  Returns:
    The newly created Abstract Schema.
  Throws:
    `DOMASException` - Exceptions raised by `parseASURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a `DOMASException` if any form of Abstract Schema inconsistencies or warning occurs during the parse, but application defined errorHandlers are not required to do so.
    WRONG_MIME_TYPE_ERR: Raised when `mimeTypeCheck` is `true` and the input source has an incorrect MIME Type. See the attribute `mimeTypeCheck`.
    `DOMSystemException` - Exceptions raised by `parseURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a DOMSystemException if any form I/O or other system error occurs during the parse, but application defined error handlers are not required to do so.

### parseASInputSource

    public ASModel parseASInputSource(org.w3c.dom.ls.DOMInputSource is)
                               throws DOMASException,
                                      java.lang.Exception

  Parse a Abstract Schema from a location identified by an `DOMInputSource`.
  Parameters:
    `is` - The `DOMInputSource` from which the source Abstract Schema is to be read.
  Returns:
    The newly created `ASModel`.
  Throws:
    `DOMASException` - Exceptions raised by `parseASURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a `DOMASException` if any form of Abstract Schema inconsistencies or warning occurs during the parse, but application defined errorHandlers are not required to do so.
    Raise a WRONG_MIME_TYPE_ERR when `mimeTypeCheck` is `true` and the inputsource has an incorrect MIME Type. See attribute `mimeTypeCheck`.
    `DOMSystemException` - Exceptions raised by `parseURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a DOMSystemException if any form I/O or other system error occurs during the parse, but application defined error handlers are not required to do so.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.